## NAME

CURLINFO_REDIRECT_TIME - get the time for all redirection steps

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_REDIRECT_TIME, double *timep);

## DESCRIPTION

Pass a pointer to a double to receive the total time, in seconds, it took for all redirection steps include name lookup, connect, pretransfer and transfer before final transaction was started. CURLINFO_REDIRECT_TIME contains the complete execution time for multiple redirections.

See also the TIMES overview in the curl_easy_getinfo(3) man page.

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.9.7

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

curl_easy_getinfo (3), curl_easy_setopt (3)

This HTML page was made with roffit.